Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QCoreApplication

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QCoreApplication class reference

### Public Functions

- void lock ()
- bool locked ()
- bool tryLock ()
- void unlock ( bool wakeUpGui = true )

## Member Function Documentation

### void QCoreApplication::lock ()

### bool QCoreApplication::locked ()

### bool QCoreApplication::tryLock ()

### void QCoreApplication::unlock ( bool wakeUpGui = true )